Page MenuHomeWrite.as

Support setting text on Snap.as upload
Closed, ResolvedPublic

Description

Overview

Users should be able to supply a caption / quote / bit of text to go along with each photo they upload.

Background

This will help with migrations that need captions associated with each photo.

Implementation

Accept a new (optional) body field on upload. If set, we should store this in the database along with the file information.

Revisions and Commits

Related Objects

StatusAssignedTask
Resolvedmatt

Event Timeline

matt changed the task status from Open to Waiting.Feb 17 2021, 11:38 PM
matt created this task.
matt moved this task from Restricted Project Column to Restricted Project Column on the Restricted Project board.Feb 18 2021, 1:07 PM
matt added a parent task: Restricted Maniphest Task.Feb 18 2021, 1:22 PM
matt changed the task status from Waiting to Open.Mar 4 2021, 7:24 PM
matt raised the priority of this task from Normal to Medium-High.
matt closed this task as Resolved by committing Restricted Diffusion Commit.Mon, Apr 5, 4:25 PM
matt added a commit: Restricted Diffusion Commit.

How does this look in practice in terms of caption below an image, hover text over an image, and alt-text for screen-reader access?

This is really the base functionality needed to preserve captions in the migration, and store them alongside images. So right now, these will automatically turn into alt-text that displays in the Snap.as UI -- e.g. the "Share on Write.as" Markdown text here:

Then, as far as the display-side of things like you're mentioning, I think that'd be covered more by e.g. T621: oEmbed support on photos. With that, you could embed Snap.as photos in your blog in a way that would automatically include the captions, which we could then style however we want.

Gotcha, thanks! Since the current site stores for images:

  • Title (used both as hover text and as below-image caption)
  • Description (appended to below-image caption)
  • Alt text (yep, alt text)

The first two can be merged, but then will there be a separate channel for alt text or will that need to be merged somehow too?